<%@ page contentType="text/html; charset=UTF-8"%>
<%@ include file="/WEB-INF/jspf/include/taglibs.jsp"%>

<script type="text/javascript">

function checkSum( form )
{
	var sum = parseFloat( form.sum.value.replace(",",".") );
	if ( isNaN( sum ) )
	{
		alert( 'Введена некоректная сумма' );
		return false;		
	}
	else if ( sum < ${dataMap['sumMin']} || sum > ${dataMap['sumMax']} )
	{
		alert( "Введите сумму от ${dataMap['sumMin']} до ${dataMap['sumMax']}" );
		return false;		
	}
	return confirm('Вы подтверждаете платеж на сумму - ' + form.sum.value + ' ${currencyTitleMedium}?');
}

function getOrderIdAndGoToGate( sum )
{
	jQuery.get( webexecuter, { action: '${action}', operation: 'getOrderId', module: '${module}', mid: ${mid}, contractId: contractId, ct: 'json', sum: sum }, 
		function( data )
		{
			var form = jQuery( "#wmGateForm" )[0];
			form.LMI_PAYEE_PURSE.value = data.LMI_PAYEE_PURSE;
			form.LMI_PAYMENT_AMOUNT.value = data.LMI_PAYMENT_AMOUNT;
			form.LMI_PAYMENT_NO.value = data.LMI_PAYMENT_NO;
			form.LMI_PAYMENT_DESC.value = data.LMI_PAYMENT_DESC;
			form.LMI_PAYMENT_DESC_BASE64.value = data.LMI_PAYMENT_DESC_BASE64;
			form.LMI_RESULT_URL.value = data.LMI_RESULT_URL;
			form.LMI_SUCCESS_URL.value = data.LMI_SUCCESS_URL;
			form.LMI_SUCCESS_METHOD.value = data.LMI_SUCCESS_METHOD;
			form.LMI_FAIL_URL.value = data.LMI_FAIL_URL;
			form.LMI_FAIL_METHOD.value = data.LMI_FAIL_METHOD;
			form.submit();
		}
	);
}
</script>

<%@include file="../include/error.jsp" %>

<form action="${dataMap['gateUrl']}" method="POST" id="wmGateForm">
	<input type="hidden" name="module" value="${module}">
	<input type="hidden" name="action" value="${action}">
	<input type="hidden" name="mid" value="${mid}">
	<input type="hidden" name="cid" value="${contract.id}">
	<input type="hidden" name="LMI_PAYEE_PURSE" value="">
	<input type="hidden" name="LMI_PAYMENT_AMOUNT" value="">
	<input type="hidden" name="LMI_PAYMENT_NO" value="">
	<input type="hidden" name="LMI_PAYMENT_DESC" value="">
	<input type="hidden" name="LMI_PAYMENT_DESC_BASE64" value="">
	<input type="hidden" name="LMI_RESULT_URL" value="">
	<input type="hidden" name="LMI_SUCCESS_URL" value="">
	<input type="hidden" name="LMI_SUCCESS_METHOD" value="">
	<input type="hidden" name="LMI_FAIL_URL" value="">
	<input type="hidden" name="LMI_FAIL_METHOD" value="">
</form>

<form method="POST">
	<table class="tableFont tableWidth">
	  <tr>
	    <td class="textColor1 backgroundColor3  borderRadius" style="text-align: center; padding: 10px 20px;">
	    	<h3>Пополните счет c помощью сервиса <a href="http://www.webmoney.ru/" target="_blank" class="textColor1">WebMoney</a></h3>
			<div style="padding: 0px 4px;"><nobr>Сумма (от ${dataMap['sumMin']} до ${dataMap['sumMax']}): <input type="text" required="required" name="sum" size="12" style="text-align: center;"/>&nbsp;<button type="button" onclick="if ( checkSum( this.form ) ) getOrderIdAndGoToGate( this.form.sum.value.replace(',','.') );">Оплатить</button></nobr></div>
		</td>
		<td style="width: 20px;">&nbsp;</td>
	    <td style="vertical-align: top; text-align: right; padding: 0;"><div class="bgBalanceInformerWidget"></div></td>
	  </tr>
	</table>
</form>

<div style="margin-top: 20px;">
	<form method="GET" action="" id="wmListForm" >
		<input type="hidden" name="action" value="${action}">
		<input type="hidden" name="module" value="${module}">
		<input type="hidden" name="mid" value="${mid}">
		<input type="hidden" name="month" value="${dataMap['month']}">
		<input type="hidden" name="year" value="${dataMap['year']}">
		<input type="hidden" name="pageIndex" value="${dataMap['page'].pageIndex}" />
		<input type="hidden" name="pageSize" value="${dataMap['page'].pageSize}" />
	</form>

	<table class="tableFont tableWidth">
	  <tr>
		<td><div class="bgMonthAndYearWidget" formId="wmListForm" month="${dataMap['month']}" year="${dataMap['year']}" ></div></td>
		<td style="text-align: right;"><div class="bgPagesWidget" formId="wmListForm" recordCount="${dataMap['page'].recordCount}" pageIndex="${dataMap['page'].pageIndex}" pageSize="${dataMap['page'].pageSize}" pageCount="${dataMap['page'].pageCount}"></div></td>
	  </tr>
	</table>

	<table class="table tableFont tableWidth" style="border-radius: 20px;">
		<thead>
			<tr>
				<td width="50">№</td>
				<td width="150">Дата/Время оплаты</td>
				<td>Статус</td>
				<td>Кошелек</td>
				<td>WM-ID</td>
				<td width="150">Сумма</td>
			</tr>
		</thead>
		<tbody>
		<c:choose>
		<c:when test="${not empty dataMap['transactions']}">
			<c:forEach var="item" items="${dataMap['transactions']}">
				<tr>
					<td nowrap="nowrap">${item.id}</td>
					<c:choose>
						<c:when test="${not empty item.transactionDate}"><td><fmt:formatDate value="${item.transactionDate}" type="both" dateStyle="MEDIUM" timeStyle="MEDIUM" /></td></c:when>
						<c:otherwise><td><fmt:formatDate value="${item.createDate}" type="both" dateStyle="MEDIUM" timeStyle="MEDIUM" /></td></c:otherwise>
					</c:choose>
					<td><c:choose><c:when test="${item.status == -1}">отказ</c:when><c:when test="${item.status == 0}">новая</c:when><c:when test="${item.status == 1}">проведена</c:when><c:otherwise>${item.status}</c:otherwise></c:choose> </td>
					<td>${item.payerPurse}</td>
					<td>${item.payerWM}</td>
					<td><fmt:formatNumber value="${item.sum}" minFractionDigits="2" /></td>
				</tr>
			</c:forEach>
		</c:when>
		<c:otherwise>
			<tr><td colspan="5" style="text-align: center;">Записи не найдены.</td></tr>
		</c:otherwise>
		</c:choose>
		</tbody>
	</table>
</div>
